using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PT
{
    [Description("部门、车间安全生产目标与指标制定细表")]
    public class T_PT_INDICATOR_FORMULATION_DEPARTMENT_DETAIL : MesEntityBase
    {
        [Description("部门、车间、班组安全生产目标与指标制定表")]
        [DataFieldForeignKey("Nav_IndeicatorDepartment", "Nav_DepartmentDetail")]
        public Guid INDICATOR_FORMULATION_DEPARTMENT_ID { get; set; }

        [Description("导航属性：部门、车间、班组安全生产目标与指标制定表")]
        public virtual T_PT_INDICATOR_FORMULATION_DEPARTMENT Nav_IndeicatorDepartment { get; set; }
        
        [Description("部门ID")]
        [DataFieldForeignKey("Nav_Department")]
        public Guid? DEPARTMENT_ID { get; set; }

        [Description("导航属性：部门表")]
        public virtual T_FM_DEPARTMENT Nav_Department { get; set; }

        [Description("导航属性：安全生产目标与指标制定内容表")]
        [FormFieldEdit]
        public ICollection<T_PT_INDICATOR_FORMULATION_DEPARTMENT_DETAIL_CONTENT> Nav_DetailContent { get; set; }
    }
}
